<mat-sidenav-container>
  <mat-sidenav #sidenav mode="push" [(opened)]="opened">
    <div class="side-item-0" routerLink="/home">
      <mat-icon class="side-text">home</mat-icon>หน้าแรก
    </div>
    <div class="side"></div>
    <div style="font-size: 14px; margin-left: 16px;color: rgb(105, 104, 104);width: 95%;
        height: 6%;
        padding-top: 4%;">
      รายวิชาของฉัน
    </div>
    <div class="side-item-1" *ngFor="let subject of subjects_new" (click)="onGoTo(subject)"
      [class.selected]="sub === selectSubject">
      <div *ngIf="class.name!=subject.subject_name">
        <mat-icon class="side-text">list_alt</mat-icon> {{ subject.subject_name }}
        <div style="margin-left: 95px;">กลุ่ม {{ subject.group }}</div>
      </div>

      <div *ngIf="class.name==subject.subject_name"
        style="background-color: rgba(196, 193, 193, 0.568); border-radius: 0px 50px 50px 0px;">
        <mat-icon class="side-text">list_alt</mat-icon> {{ subject.subject_name }}
        <div style="margin-left: 95px;">กลุ่ม {{ subject.group }}</div>
      </div>
    </div>
    <div class="side"></div>
    <div class="side-item-0" routerLink="/homeStore">
      <mat-icon class="side-text">move_to_inbox</mat-icon>ชั้นเรียนที่เก็บ
    </div>
    <div class="side"></div>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary" style=" font-family: 'Kanit', sans-serif;">
      <mat-toolbar-row style="height: 75px;">
        <button mat-icon-button style="margin-right: 20px;">
          <mat-icon (click)="opened = !opened">menu</mat-icon>
        </button>

        <div style="display:block;margin-right: 18px;">
          <div style="cursor:pointer; font-family: 'Kanit', sans-serif;;font-size: 18px;">
            {{ class.name }}
          </div>
          <div style="cursor:pointer; font-family: 'Kanit', sans-serif;;font-size: 18px;">
            กลุ่ม {{ class.group }}
          </div>
        </div>

        <div class="tab-center">
          <nav mat-tab-nav-bar mat-align-tabs="center" backgroundColor="primary">
            <a mat-tab-link *ngFor="let link of links; index as i" class="tab-check" [active]="link">
              {{ menus[i] }}
            </a>
          </nav>
        </div>

        <span class="example-spacer"></span>
        <img class="example-icon" [src]="imageUrl" />
        <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Example icon-button with a menu">
          <mat-icon>arrow_drop_down</mat-icon>
        </button>
        <mat-menu #menu="matMenu">
          <button mat-menu-item (click)="onProfile()">
            <mat-icon>account_circle</mat-icon>
            <span>บัญชีผู้ใช้</span>
          </button>
          <button mat-menu-item (click)="onLogout()">
            <mat-icon>exit_to_app</mat-icon>
            <span>ออกจากระบบ</span>
          </button>
        </mat-menu>
      </mat-toolbar-row>
    </mat-toolbar>
    <div class="row">
      <div class="column" style="width:50%;display:flex;">
        <div class="side-item fontSize topic">
          <img src="../../assets/img/icons/icon-chart.png" style="margin-right: 10px;">
          ผลการรายงาน
        </div>
      </div>

      <div class="column1" style="width:30%;display:flex;margin-top: 10px;margin-right: 16px;">
        <mat-form-field appearance="outline" class="search">
          <mat-label>Search</mat-label>
          <input matInput (keyup)="applyFilter($event.target.value)" />
          <mat-icon matSuffix class="fontSize">search</mat-icon>
        </mat-form-field>
      </div>
    </div>
    <div class="side"></div>
    <br />
    <div class="report" style="background-color: rgba(196, 193, 193, 0.568); border-radius: 50px 0px 0px 50px;">
      <div class="report-text">
          <div style="margin-right: 30px;display: flex;">ทันเวลา <div
                  style=" display: flex;margin-left: 10px;margin-right: 10px;">
                  {{sumReport.onTime}}</div> ครั้ง</div>
          <div style="margin-right: 30px;display: flex;">สาย <div
                  style="display: flex;margin-left: 10px;margin-right: 10px;">
                  {{sumReport.late}}</div> ครั้ง</div>
          <div style="display: flex;">ขาดเรียน <div
                  style="display: flex;margin-left: 10px;margin-right: 10px;color: red;">
                  {{sumReport.absent}}</div> ครั้ง</div>
      </div>
  
  </div>
    <div class="mat-elevation-z1" style="width: 95%;margin: auto;">
      <table mat-table [dataSource]="dataSource" matSort>
        <ng-container matColumnDef="id">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head">
            ลำดับ
          </th>
          <td mat-cell *matCellDef="let row" class="table-list">
            {{ row.id }}
          </td>
        </ng-container>

        <ng-container matColumnDef="list">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head">
            รายการ
          </th>
          <td mat-cell *matCellDef="let row" class="table-list">
            {{ row.list }}
          </td>
        </ng-container>

        <ng-container matColumnDef="type">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head">
            ประเภท
          </th>
          <td mat-cell *matCellDef="let row" class="table-list">
            {{ row.type }}
          </td>
        </ng-container>

        <ng-container matColumnDef="hours">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head">
            ชั่วโมง
          </th>
          <td mat-cell *matCellDef="let row" class="table-list">
            {{ row.hours }}
          </td>
        </ng-container>

        <ng-container matColumnDef="date">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head">
            วันที่
          </th>
          <td mat-cell *matCellDef="let row" class="table-list">
            {{ row.date }}
          </td>
        </ng-container>

        <ng-container matColumnDef="statusCheck">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head">
            ผลการเช็คชื่อ
          </th>
          <td mat-cell *matCellDef="let row" class="table-list">
            <div *ngIf="
                row.statusCheck == 'ลากิจ' ||
                row.statusCheck == 'ลาป่วย' ||
                row.statusCheck == 'ไม่ส่งใบลา'
              " style="color: red;">
              {{ row.statusCheck }}
            </div>
            <div *ngIf="
                row.statusCheck != 'ลากิจ' &&
                row.statusCheck != 'ลาป่วย' &&
                row.statusCheck != 'ไม่ส่งใบลา'
              ">
              {{ row.statusCheck }}
            </div>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr class="example-element-row" mat-row *matRowDef="let row; columns: displayedColumns"></tr>
      </table>
    </div>
  </mat-sidenav-content>
</mat-sidenav-container>